<?php

define("lg_tips_header_support", "Customer Support Tip");
define("lg_tips_header_helpspot", "HelpSpot Tip");
define("lg_tips_header_quote", "Quote");

define("lg_tips", [
    [
        "type" => "support",
        "tip" => "Great support is 3 things which are simple to do, but hard to master. <br /><br />1. Bring clarity to confusion <br />2. Be fast in your execution <br />3. Be concise in your replies.",
    ],
    [
        "type" => "support",
        "tip" => "Don't tell customers you appreciate them. It comes off as robotic and inauthentic. Instead, simply tell them thank you, or thank you for [thing they did]. Replace robotic with honest.",
    ],
    [
        "type" => "quote",
        "tip" => '"Courteous treatment will make a customer a walking advertisement." &mdash; James Cash Penney',
    ],
    [
        "type" => "support",
        "tip" => "Providing great support to your customers isn't an operational expense, it's a marketing expense.",
    ],
    [
        "type" => "helpspot",
        "tip" => "Click on the initial request column to popup a quick view of the request without leaving the filter view.",
    ],
    [
        "type" => "support",
        "tip" => "Your support resources should be easy to find for customers. If they aren't, why aren't they? Great support is great marketing, you want your marketing to be widely seen easy to find!",
    ],
    [
        "type" => "helpspot",
        "tip" => "Responses can have attachments. So if there's a file you often need to send customers, just make a response with it to quickly attach it to any customer reply.",
    ],
    [
        "type" => "support",
        "tip" => "Never make a promise you can't keep!",
    ],
    [
        "type" => "support",
        "tip" => "Words you can try instead of feedback: thoughts, ideas, comments, input",
    ],
    [
        "type" => "support",
        "tip" => "A picture is worth a thousand words. If you find yourself explaining something complex, consider if a screenshot or short video would work better.",
    ],
    [
        "type" => "support",
        "tip" => "Don't fear the phone. If you're handling a complex issue, a phone call will often be significantly faster than a long email chain.",
    ],
    [
        "type" => "helpspot",
        "tip" => "Have a filter you use all the time? You can edit the filter and under <b>options</b> force it to display above the default Inbox making it more accessible.",
    ],
    [
        "type" => "helpspot",
        "tip" => "Do you often work out of a filter other than <b>My Queue</b>? If so, in that filter click <b>Options</b> and select <b>Make Default Workspace</b>. Now every time you go to the Workspace you'll go directly there.",
    ],
    [
        "type" => "support",
        "tip" => "Providing customer support goes beyond answering email. How can you bring your support beyond that?",
    ],
    [
        "type" => "support",

        "tip" => "A customer saved is a customer earned.",
    ],
    [
        "type" => "support",
        "tip" => "It's easy to listen, but hard to hear. Make sure you're actually hearing the customers needs.",
    ],
    [
        "type" => "quote",
        "tip" => '"Your most unhappy customers are your greatest source of learning" &mdash; Bill Gates',
    ],
    [
        "type" => "helpspot",

        "tip" => "Finding it hard to get your knowledge books built out? Don't start big, pick your top 5 questions and write detailed resposnes to them. After that keep an eye on the Searches/Few Results report and go from there.",
    ],
    [
        "type" => "support",
        "tip" => "Take a walk before you reply. Ask a colleague to review your reply before sending it. Pass it on to another agent if it's too much.",
    ],
    [
        "type" => "support",
        "tip" => "If you make a mistake with a customer admit it. Being upfront leads to greater trust and loyalty.",
    ],
    [
        "type" => "support",
        "tip" => "Avoid robotic replies. For example, instead of 'I apologize for any inconvience' try 'I know this problem is frustrating and I am very sorry'",
    ],
    [
        "type" => "support",
        "tip" => "Words you can try instead of inconvenience: trouble, frustration, issue, annoyance",
    ],
    [
        "type" => "quote",
        "tip" => '"Happiness is a by-product of an effort to make someone else happy." &mdash; Gretta Palmer',
    ],
    [
        "type" => "support",
        "tip" => "Always use the customers name in your email greetings to personalize the message. A small but personal change: Hi! vs Hi Ian!",
    ],
    [
        "type" => "helpspot",
        "tip" => "You can turn any request history note into it's own separate request. You'll find that option in the notes triple dot menu.",
    ],
    [
        "type" => "support",
        "tip" => "In most contexts it's better to lean towards an informal writing style such as using contractions. Your customers will appreciate knowing there's a human on the other end of the line",
    ],
    [
        "type" => "support",
        "tip" => "If you don't know the answer, just say ou don't know! Then let the customer know that you're going to find out.",
    ],
    [
        "type" => "support",
        "tip" => "Customer feedback requires critical thinking. Sometimes 'I wish you had a register via Google option' actually means your registration process is too burdensome and that's the real issue.",
    ],
    [
        "type" => "support",
        "tip" => "It's usually best to at least try and help the customer even if they're asking a question about a product that's not directly your responsibility.",
    ],
    [
        "type" => "quote",
        "tip" => '"Life is for service." &mdash; Fred Rogers',
    ],
    [
        "type" => "helpspot",
        "tip" => "Check out the 'stream' view on your filters. They let you see all the recent notes for each request in the filter.",
    ],
    [
        "type" => "helpspot",
        "tip" => "You can mark a request 'unread' in your My Queue by clicking on the column in the requests row next to the checkbox where the green icon normally appears.",
    ],
    [
        "type" => "quote",
        "tip" => '"I’ve learned that people will forget what you said, people will forget what you did, but people will never forget how you made them feel." &mdash; Maya Angelou',
    ],
    [
        "type" => "helpspot",
        "tip" => "When replying to a customer you can use the # sign to beging an autocomplete of your prewritten responses.",
    ],
    [
        "type" => "helpspot",
        "tip" => "When replying to a customer you can easily add traditional email CCs and BCCs by clickin 'Email Options'.",
    ],
    [
        "type" => "helpspot",
        "tip" => "In the request history, click the 'pin' icon to lock a note to the top of the history. Great for important details you don't want other agents to miss.",
    ],
    [
        "type" => "helpspot",
        "tip" => "Need to regularly create the same request over and over? Any response can be converted to a regularly recurring request.",
    ],
    [
        "type" => "helpspot",
        "tip" => "Going to be out of the Office? Use the out of office feature in your staff profile to forward requests to another user or the inbox.",
    ],
    [
        "type" => "helpspot",
        "tip" => "Use the <b>@</b> hotkey in the note editor to tag another staff member in a not. They'll get a notification on the request.",
    ],
    [
        "type" => "helpspot",
        "tip" => "History search in the request view allows you to view other requests that the same customer has opened in the past.",
    ],
    [
        "type" => "helpspot",
        "tip" => "History search in the request view allows you to view other requests that the same customer has opened in the past.",
    ],
    [
        "type" => "quote",
        "tip" => '"People don’t care how much you know until they know how much you care" &mdash; Theodore Roosevelt',
    ],
    [
        "type" => "helpspot",
        "tip" => "You can require words in a full text search. Use + for must contain: +printer, +password.",
    ],
    [
        "type" => "helpspot",
        "tip" => "You can exclude words in a full text search. Use - for must not contain: -printer, -password",
    ],
    [
        "type" => "helpspot",
        "tip" => 'Use " " in full text search for a phrase: "lost my password"',
    ],
    [
        "type" => "helpspot",
        "tip" => "KB books, chapters and pages can be made private or public. Only staff can access private items",
    ],
]);